gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Container Gtk.IOrientable Gtk.IToolShell Create bars of buttons and other widgets.

A is created with a call to .

Buttons with text and/or images are added with , , and .

Any of , , or an arbitrary widget can be added to the toolbar with , , and .

Widgets can be visibly grouped by adding gaps between widgets using , , and .

- Constructor
  Creates a new toolbar.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  Pango.EllipsizeMode To be added. To be added. To be added.
- Event
  GLib.Signal("focus-home-or-end")
  Gtk.FocusHomeOrEndHandler To be added. To be added.
- Method
  System.Int32 `` `` a a Returns the position corresponding to the indicated point on the toolbar. a This is useful when dragging items to the toolbar: this function returns the position a new item should be inserted. and are in toolbar coordinates.
- Method
  System.Int32 `` a Returns the position of on the toolbar, starting from 0. a It is an error if is not a child of the toolbar.
- Method
  Gtk.ToolItem `` a Returns the th item on the toolbar, or if the toolbar does not contain an th item. a
- Property
  Gtk.IconSize To be added. To be added. To be added.
- Property
  Gtk.Orientation To be added. To be added. To be added.
- Property
  Gtk.ReliefStyle To be added. To be added. To be added.
- Property
  Gtk.ToolbarStyle To be added. To be added. To be added.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  GLib.Property("icon-size")
  Gtk.IconSize This function sets the size of stock icons in the toolbar. You can call it both before you add the icons and after they have been added. The size you set will override user preferences for the default icon size. The icon size for the toolbar.
- Property
  GLib.Property("icon-size-set")
  System.Boolean Indicates if an Icon size is set. a .
- Method
  System.Void `` `` a a Insert a into the toolbar at position . If is 0 the item is prepended to the start of the toolbar. If is negative, the item is appended to the end of the toolbar.
- Property
  Gtk.Container+ContainerChild `` To be added. To be added. To be added. To be added.
- Property
  System.Int32 The number of items on the toolbar. a
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideFocusHomeOrEnd", Type=typeof(Gtk.Toolbar))
  System.Boolean `` To be added. Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideOrientationChanged", Type=typeof(Gtk.Toolbar))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePopupContextMenu", Type=typeof(Gtk.Toolbar))
  System.Boolean `` `` `` a a a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideStyleChanged", Type=typeof(Gtk.Toolbar))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  GLib.Property("orientation")
  Gtk.Orientation Sets the of the toolbar to either or . The orientation of the toolbar.
- Event
  GLib.Signal("orientation-changed")
  Gtk.OrientationChangedHandler Used if you wish to perform an action when ever the style of a toolbar is adjusted. For example, this would be a useful signal to connect to if you want to display more items on the toolbar when it is in icon-only mode; each item takes less space on the bar.
- Event
  GLib.Signal("popup-context-menu")
  Gtk.PopupContextMenuHandler Emitted when the user right-clicks the toolbar or uses the keybinding to display a popup menu. Application developers should handle this signal if they want to display a context menu on the toolbar.
- Method
  System.Void To be added. To be added.
- Property
  Gtk.ReliefStyle The relief style of buttons on the toolbar. a
- Method
  System.Void `` `` a a To be added To be added
- Property
  GLib.Property("show-arrow")
  System.Boolean Whether to show an arrow if the toolbar doesn't fit. a
- Property
  Gtk.ToolbarStyle To be added. To be added. To be added.
- Event
  GLib.Signal("style-changed")
  Gtk.StyleChangedHandler Used if you wish to perform an action when the orientation of a toolbar is changed.
- Property
  System.Single To be added. To be added. To be added.
- Property
  Gtk.Orientation To be added. To be added. To be added.
- Property
  Gtk.SizeGroup To be added. To be added. To be added.
- Property
  GLib.Property("toolbar-style")
  Gtk.ToolbarStyle Alters the view of toolbar to display either icons only, text only, or both. The current style of toolbar.
- Method
  System.Void Unsets toolbar icon size set with .
- Method
  System.Void Unsets a toolbar style set with . Unsets a toolbar style set with , so that user preferences will be used to determine the toolbar style.